* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    background: url(background_no1.png) no-repeat top center/ cover;
    position: relative;
}

#container {
    width: auto;
    height: auto;
    padding: 1rem 1rem;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;

    background-color: rgba(246, 244, 159, 0.841);
    box-shadow: 0 0 5px ;
    border-radius: 5px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

    animation: animateOpen 2.2s;

}
@keyframes animateOpen {
    0% {
        transform: translate(-50%, -200%) scale(0);
        opacity: 0;
    }

    90% {
        transform: translate(-50%, -47%) scale(1.03);
        opacity: 0.85;
    }
    100% {
        transform: translate(-50%, -50%) scale(1);
        opacity: 1;
    }
}
@keyframes animateClose {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

#content {
    font-family: "EB Garamond", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 1.75rem;

    text-align: center;

    cursor: pointer;
}

#btn {
    margin: 0.5rem;
    width: 50px;
    height: 30px;
    font-size: 15px;
    border-radius: 5px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.422);
    background-color: hsla(127, 55%, 68%, 0.658);
    transition: 0.5s;
    cursor: pointer;
}
#btn:hover {
    background-color: hsla(127, 55%, 68%, 0.366);
}
.nowrap {
    white-space: nowrap;
}

/* CANVAS */

canvas {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 1px black solid;
}
/* size */

.select-container {
    z-index: 2;
    position: absolute;
    margin: 7px;
    font-family: "EB Garamond", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 20px; 
    display: flex;
}

.select-items {
    width: auto;
    display: none;
    flex-direction: column;
    justify-content: space-around;
    flex-wrap: wrap;

}
.select-btn, .select-items div, .select-selected {
    height: 30px;
    z-index: 2;
    padding: 0 3px;
    border: solid 1px wheat;
    border-radius: 5px;
    background-color: rgba(245, 245, 245, 0.429);
    box-shadow: 0 0 5px;
    transition: 0.5s;
    cursor: pointer;
}
.select-selected {
    margin: 0 7px;
    width: 300px;
    text-align: center;
}

.select-items div {
    margin: 0 0 7px 7px;
}

.select-items div:hover, .select-selected:hover, .select-btn:hover {
    background-color: rgba(245, 245, 245, 0.092);
    transform: scale(1.1);
}


.size-select {
    display: none;
}
.size-select.open {
    display: flex;
    animation: animateOpenSuperSelect 0.8s forwards;
}
.size-select.close {
    animation: animateCloseSuperSelect 0.8s forwards;
}

@keyframes animateOpenSuperSelect {
    from {
        transform: translate(-150%, -50%) scale(0);
        opacity: 0;
    }
    to {
        transform: translate(0, 0) scale(1);
        opacity: 1;
    }
}
@keyframes animateCloseSuperSelect {
    from {
        transform:translate(0, 0) scale(1);
        opacity: 1;
    }
    to {
        transform:translate(-150%, -50%) scale(0);
        opacity: 0;
    }
}



.select-items.openItems {
    display: flex;
    animation: animateOpenItems 0.6s forwards;
}
.select-items.closeItems {
    animation: animateCloseItems 0.6s forwards;
}

@keyframes animateOpenItems {
    from {
        transform: translateY(-10px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes animateCloseItems {
    from {
        transform: translateY(0);
        opacity: 1;
    }
    to {
        transform: translateY(-10px);
        opacity: 0;
    }
}

@media screen and (max-width: 576px) {
    .select-container {
        font-size: 15px;
    }
    .select-btn, .select-items div, .select-selected {
        height: 23px;
    }
    .select-selected {
        width: 225px;
    }

}













